<div class="row">
  <div class="col-lg-12">
    <h1 class="page-header">Items</h1>
  </div>
  <!-- /.col-lg-12 -->
</div>

<div class="row">
  <div class="col-lg-12">

    <table id="dataTable" width="100%" class="table table-striped table-bordered table-hover" [mfData]="items"
           #mf="mfDataTable" [mfSortBy]="'name'">
      <thead>
      <tr>
        <th style="width: 30%">
          <mfDefaultSorter by="name">Name</mfDefaultSorter>
        </th>
        <th style="width: 10%">
          <mfDefaultSorter by="price">Price/Unit</mfDefaultSorter>
        </th>
        <th style="width: 20%">
          <mfDefaultSorter by="unit">Unit</mfDefaultSorter>
        </th>
        <th style="width: 10%">
          <mfDefaultSorter by="maxPerTeam">Max/Team</mfDefaultSorter>
        </th>
        <th style="width: 20%">
          <mfDefaultSorter by="barcode">Barcode</mfDefaultSorter>
        </th>
        <th style="width: 10%">
          Options
        </th>
      </tr>
      </thead>
      <tbody>
      <template ngFor let-item [ngForOf]="mf.data" let-i="index">
        <tr *ngIf="editedItemNumber!=i">
          <td>{{item.name}}</td>
          <td>{{item.pricePerUnit}}</td>
          <td> {{item.unit}}</td>
          <td> {{item.maxPerTeam}}</td>
          <td> {{item.barcode}}</td>
          <td>
            <div class="options-buttons-wrapper">
              <button class="btn btn-info btn-sm" (click)="enableItemEdit(i, item)" [disabled]="!item.editable">
                <i class="fa fa-pencil"></i></button>
              <button class="btn btn-danger btn-sm" (click)="removeItem(item)" [disabled]="!item.editable">
                <i class="fa fa-trash-o"></i></button>
            </div>
          </td>
        </tr>
        <tr *ngIf="editedItemNumber==i">
          <td><input type="text" class="form-control" [(ngModel)]="editedItem.name" name="editedItemName" #editedItemNameInput></td>
          <td><input type="text" class="form-control" [(ngModel)]="editedItem.pricePerUnit" name="eipricePerUnit" #eipricePerUnitInput></td>
          <td><input type="text" class="form-control" [(ngModel)]="editedItem.unit" name="eiunit" #eiunitInput></td>
          <td><input type="text" class="form-control" [(ngModel)]="editedItem.maxPerTeam" name="eimaxPerTeam" #eimaxPerTeamInput></td>
          <td><input type="text" class="form-control" [(ngModel)]="editedItem.barcode" name="eibarcode" #eibarcodeInput></td>
          <td>
            <div class="options-buttons-wrapper ">
              <button class="btn btn-default btn-sm" (click)="editedItemNumber=-1">
                <i class="fa fa-times"></i></button>
              <button class="btn btn-success btn-sm" (click)="updateItem(item)" [disabled]="!editedItemValid()">
                <i class="fa fa-check"></i></button>
            </div>
          </td>
        </tr>
      </template>

      <!--New item row-->
      <tr>
        <td><input type="text" class="form-control" [(ngModel)]="newItem.name" name="newItemName" #newItemNameInput></td>
        <td><input type="text" class="form-control" [(ngModel)]="newItem.pricePerUnit" name="pricePerUnit" #pricePerUnitInput></td>
        <td><input type="text" class="form-control" [(ngModel)]="newItem.unit" name="unit" #unitInput></td>
        <td><input type="text" class="form-control" [(ngModel)]="newItem.maxPerTeam" name="maxPerTeam" #maxPerTeamInput></td>
        <td><input type="text" class="form-control" [(ngModel)]="newItem.barcode" name="barcode" #barcodeInput></td>
        <td>
          <div class="options-buttons-wrapper ">
            <button class="btn btn-success btn-sm" (click)="createItem()" [disabled]="!newItemValid()">
              <i class="fa fa-plus"></i></button>
          </div>
        </td>
      </tr>

      </tbody>
    </table>


  </div>

</div>
